# $Revision: 1.49 $, $Date: 2005/08/13 17:54:18 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Archive
%define		pnam	Tar
Summary:	Archive::Tar - a module for Perl manipulation of .tar files
Summary(cs):	Archive::Tar - modul pro zpracovn soubor .tar v Perlu
Summary(da):	Archive::Tar - et modul for Perlhndtering af .tar-filer
Summary(de):	Archive::Tar - ein Modul fr das Bearbeiten von .tar-Dateien durch Perl
Summary(es):	Archive::Tar - mdulo para manipulaciones de Perl de los ficheros tar
Summary(fr):	Archive::Tar - module pour la manipulation Perl des fichiers .tar
Summary(it):	Archive::Tar - modulo per la gestione dei file .tar con Perl
Summary(ja):	Archive::Tar tarեPerlΰ٤Υ⥸塼Ǥ
Summary(ko):	Archive::Tar .tar  ϴ Perl 
Summary(pl):	Archive::Tar - modu Perla do manipulacji plikami .tar
Summary(pt):	Archive::Tar - um mdulo para a manipulao em Perl dos ficheiros .tar
Summary(pt_BR):	Archive::Tar - um mdulo para a manipulao em Perl dos ficheiros .tar
Summary(sv):	Archive::Tar - en modul fr Perlhantering av .tar-filer
Summary(tr):	Archive::Tar - .tar dosyalar iin bir Perl modl
Summary(zh_CN):	Archive::Tar  .tar ļ Perl ģ顣
Summary(zh_TW):	Archive::Tar Ω Perl Bz .tar ɮת@ӼҲաC
Name:		perl-Archive-Tar
Version:	1.24
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	25397b47793b4271a956071f99f5dc8b
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-IO-Zlib
BuildRequires:	perl-Test-Harness >= 2.26
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-IO-Zlib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a module for the handling of tar archives. Archive::Tar
provides an object oriented mechanism for handling tar files. It
provides class methods for quick and easy file handling while also
allowing for the creation of tar file objects for custom manipulation.
If you have the Compress::Zlib module installed, Archive::Tar will
also support compressed or gzipped tar files.

%description -l cs
Toto je modul pro zpracovn archiv tar. Archive::Tar poskytuje
objektov orientovan mechanismus pro zpracovn soubor tar.
Poskytuje metody tdy pro rychl a snadn zpracovn souboru a
umouje vytvoen objekt soubor tar pro vlastn zpracovn. Mte-li
nainstalovn modul Compress::Zlib, bude Archive::Tar tak podporovat
soubory tar komprimovan programem compress nebo gzip.

%description -l da
Dette er et modul for hndteringen af tar-arkiver. Archive::Tar
leverer en objektorienteret mekanisme til at hndtere tar-filer. Den
leverer klassemetoder for hurtig og nem filhndtering samtidigt med at
den muliggr oprettelsen af tar-filobjekter for specialhndtering.
Hvis du har modulet Compress::Zlib installeret, vil Archive::Tar ogs
understtte komprimerede eller gzip'ede tar-filer.

%description -l de
Dieses Modul dient der Bearbeitung von tar-Archiven. Archive::Tar
bietet einen objektspezifischen Mechanismus fr das Bearbeiten von
solchen Archiven sowie Klassenmethoden fr das schnelle und einfache
Bearbeiten und ermglicht gleichzeitig das Anlegen von
tar-Dateiobjekten fr das benutzerdefinierte Bearbeiten. Wenn Sie
bereits das Modul Compress::Zlib installiert haben, untersttzt
Archive::Tar auch komprimierte oder gzipped tar-Dateien.

%description -l es
Este mdulo gestiona los ficheros tar. Archive::Tar proporciona un
mecanismo orientado a un objeto para gestionar ficheros tar.
Proporciona mtodos de clase para ficheros rpidos y sencillos
mientras que permite la creacin de objetos de ficheros tar para la
manipulacin personalizada. Si tiene instalado el mdulo
Compress::Zlib, Archive::Tar soportar los ficheros tar comprimidos.

%description -l fr
Il s'agit d'un module de gestion des archives tar. Archive::Tar
fournit un mcanisme orient sur l'objet pour la gestion des fichiers
tar. Il offre des mthodes de classe permettant de grer rapidement et
facilement les fichiers tout en permettant de crer des objets de
fichiers tar pour une manipulation personnalise. Si vous avez
install le module Compress::Zlib, Archive::Tar rendra galement en
charge les fichiers tar comprims ou zipps.

%description -l it
Si tratta di un modulo per la gestione degli archivi tar. Archive::Tar
offre un meccanismo orientato agli oggetti per gestire i file tar.
Consente inoltre di gestire rapidamente e facilmente i file e di
creare gli oggetti dei file tar per la personalizzazione. Se il modulo
Compress::Zlib  installato, Archive::Tar supporter anche i file tar
compressi o gzippati.

%description -l ko
  tar ī̺  óϴµ ˴ϴ. Archive::Tar
tar  ó Ǵ ü  Ŀ մϴ.  
   ó  Ŭ   Ӹ ƴ϶ 
    tar  ü  մϴ.
Compress::Zlib  ġϼ̴ٸ, Archive::Tar  tar ̳
gzip  tar ϵ մϴ.

%description -l pl
Ten modu obsuguje archiwa tar. Archive::Tar udostpnia zorientowany
obiektowo mechanizm obsugi plikw tar. Udostpnia klas zawierajc
metody umoliwiajce atwe posugiwanie sie plikami .tar, a take
tworzenie obiektw tar i manipulacj nimi. Jeli jest zainstalowany
modu Compress::Zlib, Archive::Tar bdzie obsugiwa rwnie archiwa
tar spakowane dodatkowo programem compress lub gzip.

%description -l pt
Este  um mdulo para o tratamento dos pacotes TAR. O Archive::Tar
oferece um mecanismo orientado por objectos para lidar com os
ficheiros TAR. Oferece os mtodos das classes para o tratamento rpido
e simples dos ficheiros enquanto permite tambm a criao de objectos
de ficheiros TAR para a manipulao personalizada. Se tiver o mdulo
Compress::Zlib instalado, o Archive::Tar ir tambm suportar os
ficheiros TAR 'gzippados' ou 'compress'ed.

%description -l pt_BR
Este  um mdulo para o tratamento dos pacotes TAR. O Archive::Tar
oferece um mecanismo orientado por objectos para lidar com os
ficheiros TAR. Oferece os mtodos das classes para o tratamento rpido
e simples dos ficheiros enquanto permite tambm a criao de objectos
de ficheiros TAR para a manipulao personalizada. Se tiver o mdulo
Compress::Zlib instalado, o Archive::Tar ir tambm suportar os
ficheiros TAR 'gzippados' ou 'compress'ed.

%description -l sv
Detta r en modul fr hanteringen av tar-arkiv. Archive::Tar
tillhandahller en objektorienterad mekanism fr att hantera
tar-filer. Den tillhandahller klassmetoder fr snabb och enkel
filhantering samtidigt som den mjliggr skapandet av tar-filobjekt
fr specialhantering. Om du har modulen Compress::Zlib installerad,
kommer Archive::Tar ocks att stdja komprimerade eller gzip:ade
tar-filer.

%description -l zh_CN
 tar 鵵ģ顣Archive::Tar
ṩ˴ tar ļĻơṩ
𷽷ټ׵شļΪ
ƵĲ tar ļװ
Compress::Zlib ģ飬Archive::Tar ֧ѹ
Ļ gzip  tar ļ

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/ptar
%{perl_vendorlib}/Archive/Tar.pm
%{perl_vendorlib}/Archive/Tar
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Archive-Tar.spec,v $
Revision 1.49  2005/08/13 17:54:18  radek
- release 2: R: perl-IO-Zlib

Revision 1.48  2005/05/30 13:29:10  qboosh
- updated to 1.24

Revision 1.47  2004/12/12 10:15:56  adamg
- updated to 1.23

Revision 1.46  2004/12/01 12:20:49  radek
- autoupdated to 1.22

Revision 1.45  2004/11/03 19:42:57  paladine
- formatting

Revision 1.44  2004/08/08 14:30:16  adamg
- updated to 1.10
- removed list_archive_vs_new.patch

Revision 1.43  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.42  2004/05/24 19:14:06  qboosh
- added ptar script

Revision 1.41  2004/05/23 23:23:23  adamg
- updated to 1.09

Revision 1.40  2004/05/07 00:35:12  ankry
- rel. 3

Revision 1.39  2004/05/06 18:43:02  ankry
- fixed perl-devel BR

Revision 1.38  2004/04/26 13:28:01  radek
- release 2: added -list_archive_vs_new.patch (fixes File::Archive's tests)
STBR

Revision 1.37  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.36  2004/01/13 12:05:01  trojan
- updated to 1.08

Revision 1.35  2003/11/01 10:32:44  qboosh
- added versions of internal perl packages for tests

Revision 1.34  2003/10/21 12:17:12  migo
- up to 1.07
- tests bcond

Revision 1.33  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.32  2003/09/03 12:30:28  grzegol
- updated to 1.05

Revision 1.31  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/08/03 21:56:29  grzegol
- updated to 1.04

Revision 1.29  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/20 20:47:58  ankry
- merge translations from RH

Revision 1.26  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:25:58  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/07/16 11:29:43  ankry
- translations, cleaning
- new %%doc
- release 5

Revision 1.22  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:05:11  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:04  depesz
adapterized

Revision 1.16  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.14  2001/09/14 15:56:31  zagrodzki
- rel. 1

Revision 1.13  2001/09/14 15:54:42  zagrodzki
- updated to 0.22
- breq: perl-devel

Revision 1.12  2001/04/17 12:05:06  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/27 17:26:36  kloczek
- release 5: rebuild against perl 5.6.

Revision 1.9  2000/12/20 00:07:59  kloczek
- release 4: use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:07  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
